#ifndef _CatmullRomTesti_HPP_
#define _CatmullRomTesti_HPP_

#include <stdio.h>
#include "../library/externs.hpp"
#include "../library/bpm.hpp"
#include "../library/catmullrom.hpp"

class CatmullRomTesti : public Base
{
	public:

		CatmullRomTesti();
		~CatmullRomTesti();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        CatmullRom *spline;
        int pcount;
        Vector3 *points;
        Vector3 *points2;

		void renderScene(float pos, float alpha);
};

#endif
